/**
 * Parse a comment marker.
 * @param {unknown} value
 * @returns {Marker|null}
 */
export function commentMarker(value: unknown): Marker | null
export type MarkerParameterValue = string | number | boolean
export type Root = import('mdast').Root
export type Content = import('mdast').Content
export type HTML = import('mdast').HTML
export type MDXFlowExpression =
  import('mdast-util-mdx-expression').MDXFlowExpression
export type MDXTextExpression =
  import('mdast-util-mdx-expression').MDXTextExpression
export type Node = Root | Content
export type MarkerParameters = {
  [x: string]: MarkerParameterValue
}
export type Mdx1CommentNode = {
  type: 'comment'
  value: string
}
export type Marker = {
  name: string
  attributes: string
  parameters: MarkerParameters | null
  node: HTML | Mdx1CommentNode | MDXFlowExpression | MDXTextExpression
}
